%global momorel 2

Summary: Library for reading RAW files obtained from digital photo cameras
Name: LibRaw
Version: 0.10.0
Release: 0.93.%{momorel}m%{?dist}
License: LGPLv2 or "CDDL"
Group: Development/Libraries
URL: http://www.libraw.org

Source0: http://www.libraw.org/data/%{name}-%{version}-Beta3.tar.gz
NoSource: 0

# Configuration support. Patch sent upstream
Patch0: %{name}-0.9.1-configure.patch

# Use optflags for build
Patch1: %{name}-0.9.1-configure-optflags.patch

# Don't impose -O4 and -w
Patch2: %{name}-0.9.1-configure-default-cflags.patch

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Provides: LibRaw-static = %{version}-%{release}
Summary: LibRaw development libraries
Group: Development/Libraries
#Requires: lcms-devel >= 1.0

%description devel
LibRaw development libraries

This package contains static libraries that applications can use to build
against LibRaw. LibRaw does not provide dynamic libraries.

%prep
%setup -q -n %{name}-%{version}-Beta3

%patch0 -p1 -b .configure
%patch1 -p1 -b .configure-optflags
%patch2 -p1 -b .configure-default-cflags

%build
# This is not the autotools generated configure script
CFLAGS="%{optflags}" sh configure -P %{_prefix}
make %{?_smp_mflags}

%install
cp -pr doc manual

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# The Libraries
make install DESTDIR=%{buildroot} LIBDIR=%{_lib}

%files devel
%defattr(-,root,root,-)

%doc LICENSE.CDDL LICENSE.LibRaw.pdf LICENSE.LGPL COPYRIGHT Changelog.txt Changelog.rus
%doc manual

%dir %{_includedir}/libraw
%{_includedir}/libraw/*.h
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-0.93.2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10-0.93.1m)
- update 0.10-beta3

* Wed Jul  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.10-0.92.1m)
- Initial commit Momonga Linux

